<template>
    <div>
        <table class="table table-hover" v-if="userStories && userStories.length>0">
            <thead>
                <tr>
                    <th>Titre</th>
                    <th>Commentaire</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                <tr v-for="(userStory,index) in userStories">
                    <td>{{userStory.title}}</td>
                    <td>{{userStory.comment}}</td>
                    <td>
                        <button class="btn btn-primary float-right but" v-on:click="edit(index)">Modifier</button>
                        <button class="btn btn-secondary float-right but" v-on:click="tasks(index)">Taches</button>
                    </td>
                </tr>
    
            </tbody>
        </table>
        <h2 v-else> Aucune User Story a afficher</h2>
    </div>
</template>

<script>
export default {
    props: ['userStories'],
    methods: {
        edit(index) {
            this.$emit('edit', index);
        },
        tasks(index) {
            this.$emit('tasks', index);
        }
    }
}
</script>

<style>

</style>
